Class | PP
In: | pp.rb
Parent: | PrettyPrint

### Methods

pp singleline_pp

### Included Modules

PPMethods

### Classes and Modules

Module PP::ObjectMixin
Module PP::PPMethods
Class PP::SingleLine

### Attributes

sharing_detection | [RW] | Returns the sharing detection flag as a boolean value. It is false by default.

### Public Class methods

pp(obj, out=$>, width=79)

Outputs `obj` to `out` in pretty printed format of `width` columns in width.

If `out` is omitted, +$>+ is assumed. If `width` is omitted, 79 is assumed.

PP.pp returns `out`.

[Source]

    # File pp.rb, line 67
      def PP.pp(obj, out=$>, width=79)
        q = PP.new(out, width)
        q.guard_inspect_key {q.pp obj}
        q.flush
        #$pp = q
        out << "\n"
      end

singleline_pp(obj, out=$>)

Outputs `obj` to `out` like PP.pp but with no indent and newline.

PP.singleline_pp returns `out`.

[Source]

    # File pp.rb, line 79
      def PP.singleline_pp(obj, out=$>)
        q = SingleLine.new(out)
        q.guard_inspect_key {q.pp obj}
        q.flush
        out
      end

[Validate]